<?xml version="1.0" encoding="utf-8"?>
<!--Stylesheet synthesized using the "Literate XSLT"(TM) environment.-->
<!--See http://www.CraneSoftwrights.com/links/res-lxslt.htm for available-->
<!--resources, training and training materials from Crane Softwrights Ltd.-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/XSL/Format" xmlns:in="urn:oasis:names:tc:ubl:Invoice:1.0:0.70" version="1.0">



<!--

Copyright (C) - Crane Softwrights Ltd. 
              - http://www.CraneSoftwrights.com/links/res-ubls.htm

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, 
  this list of conditions and the following disclaimer. 
- Redistributions in binary form must reproduce the above copyright notice, 
  this list of conditions and the following disclaimer in the documentation 
  and/or other materials provided with the distribution. 
- The name of the author may not be used to endorse or promote products 
  derived from this software without specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN 
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Note: for your reference, the above is the "Modified BSD license", this text
      was obtained 2002-12-16 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5

-->

<!--Import the system of translating harmonised system nature codes to text-->
   <xsl:import href="hscodes.xsl"/>

<!--Override this with a non-empty string to trigger HTML-orientation-->
   <xsl:variable name="html-output"/>
   <xsl:template match="/">
      <root>
<!--check expected document element-->
         <xsl:if test="not(in:Invoice)">
            <xsl:message terminate="yes">
               <xsl:text>Unexpected instance for stylesheet:
{</xsl:text>
               <xsl:value-of select="namespace-uri(*)"/>
               <xsl:text>}</xsl:text>
               <xsl:value-of select="local-name(*)"/>
               <xsl:text>
Expecting:
{</xsl:text>
               <xsl:text>urn:oasis:names:tc:ubl:Invoice:1.0:0.70</xsl:text>
               <xsl:text>}Invoice</xsl:text>
            </xsl:message>
         </xsl:if>
<!--describe page geometries-->
         <layout-master-set>
            <simple-page-master master-name="onepage" xsl:use-attribute-sets=" page-dimensions">
               <region-body region-name="body"/>
            </simple-page-master>
            <page-sequence-master master-name="layout">
               <single-page-master-reference master-reference="onepage"/>
            </page-sequence-master>
         </layout-master-set>
         <page-sequence master-reference="layout">
            <title>
               <xsl:text>
      Invoice
      </xsl:text>
            </title>
            <flow flow-name="body" xsl:use-attribute-sets=" body-font">
               <table width="183mm + 10mm">
                  <table-column column-width="10mm"/>
                  <table-column column-width="183mm div 2"/>
                  <table-column column-width="183mm div 2"/>
                  <table-body>
                     <table-row height="5mm">
                        <table-cell number-rows-spanned="2" display-align="after" height="262mm">
                           <block-container reference-orientation="90">
<!--meta data for this form in print-->
                              <block font-family="Arial" font-size="6pt" text-indent="2mm">
                                 <xsl:if test="not($html-output)">
                                    <xsl:text>380inv.xsl $Revision: 1.27 $$Date: 2003/01/23 02:58:39 $ http://www.CraneSoftwrights.com/links/res-ublf.htm</xsl:text>
                                 </xsl:if>
                              </block>
                           </block-container>
                        </table-cell>
                        <table-cell number-columns-spanned="1" display-align="after">
                           <block>
                              <xsl:text>﻿</xsl:text>
                           </block>
                        </table-cell>
                        <table-cell number-columns-spanned="1" display-align="after">
                           <block font-family="Arial" font-size="10pt" line-height="1" text-align-last="justify">
                              <inline font-weight="bold">
                                 <xsl:text>INVOICE</xsl:text>
                              </inline>
                              <inline font-weight="bold" font-size="70%" space-start.conditionality="retain">
                                 <xsl:text>    RECHNUNG    FACTURE    FACTURA</xsl:text>
                              </inline>
                              <leader/>
                           </block>
                        </table-cell>
                     </table-row>
                     <table-row height="262mm - 5mm">
                        <table-cell number-columns-spanned="2" number-rows-spanned="2">
                           <table width="183mm" height="262mm">
                              <table-column column-width="( 183mm div 16 )" number-columns-repeated="16"/>
                              <table-body>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="3" number-columns-spanned="8" border="solid 1px">
                                       <block-container height="3 * ( 262mm div 32 ) -1px" width="8 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets=" heading-font">
                                                <xsl:copy-of select="$heading-consignor"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-invnum"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-invdate"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px" border-after-style="dashed">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-sellerref"/>
                                             </block>
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-buyerref"/>
                                             </block>
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px" border-before-style="none">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-otherref"/>
                                             </block>
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="3" number-columns-spanned="8" border="solid 1px">
                                       <block-container height="3 * ( 262mm div 32 ) -1px" width="8 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-consignee"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="3" number-columns-spanned="8" border="solid 1px">
                                       <block-container height="3 * ( 262mm div 32 ) -1px" width="8 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-buyer"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row>
                                    <table-cell>
                                       <block/>
                                    </table-cell>
                                 </table-row>
                                 <table-row>
                                    <table-cell>
                                       <block/>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="2" number-columns-spanned="8" border="solid 1px">
                                       <block-container height="2 * ( 262mm div 32 ) -1px" width="8 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="8 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-buyerbank"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-origin"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-destination"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-transportmode"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-despatchdate"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px" border-after-style="none" border-end-style="none">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-deliveryterms"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px" border-after-style="none" border-start-style="none">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-location"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-transportmeans"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-despatchplace"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border-start-style="solid" border-start-width="1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-deliverytime"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border-end-style="solid" border-end-width="1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-transportcharges"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-vesselflight"/>
                                             </block>
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-loadingplace"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border-start-style="solid" border-start-width="1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-paymentterms"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border-end-style="solid" border-end-width="1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-paymentcurrency"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-dischargeplace"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="4 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-deliveryplace"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="8" border-end-style="solid" border-end-width="1px" border-after-style="solid" border-after-width="1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="8 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt"/>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                              </table-body>
                              <xsl:call-template name="do-table-items"/>
                              <table-body>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="7" number-columns-spanned="10" border="solid 1px" border-end-style="none" border-after-style="none">
                                       <block-container height="7 * ( 262mm div 32 ) -1px" width="10 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-clauses"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="2">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1px" border-end-style="none">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-totalamount"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1px" border-start-style="none">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="4" number-columns-spanned="6" border="solid 1px" border-start-style="none" border-before-style="none">
                                       <block-container height="4 * ( 262mm div 32 ) -1px" width="6 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row>
                                    <table-cell>
                                       <block/>
                                    </table-cell>
                                 </table-row>
                                 <table-row>
                                    <table-cell>
                                       <block/>
                                    </table-cell>
                                 </table-row>
                                 <table-row>
                                    <table-cell>
                                       <block/>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="6 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-namesignatory"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="6 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-issue"/>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                                 <table-row height="( 262mm ) div 32">
                                    <table-cell display-align="after" number-rows-spanned="1" number-columns-spanned="10" font-family="Arial" font-size="6pt" border="solid 1px" border-before-style="none" xsl:use-attribute-sets="heading-font ">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="10 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block>
                                                <xsl:text>It is hereby certified that this invoice shows the actual price of the goods described, that</xsl:text>
                                             </block>
                                             <block>
                                                <xsl:text>no other invoice has been or will be issued, and that all particulars are true and correct.</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                    <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1px">
                                       <block-container height="1 * ( 262mm div 32 ) -1px" width="6 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                                          <wrapper start-indent="2pt" end-indent="2pt">
                                             <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                                                <xsl:copy-of select="$heading-signature"/>
                                             </block>
                                             <block>
                                                <xsl:text>﻿</xsl:text>
                                             </block>
                                          </wrapper>
                                       </block-container>
                                    </table-cell>
                                 </table-row>
                              </table-body>
                           </table>
                        </table-cell>
                     </table-row>
                     <table-row>
                        <table-cell display-align="after">
                           <block>
                              <block text-align="end" font-weight="bold" font-family="Arial" font-size="10pt">
                                 <xsl:text>380</xsl:text>
                              </block>
                           </block>
                        </table-cell>
                     </table-row>
                  </table-body>
               </table>
<!--meta data for this form in HTML-->
               <block font-family="Arial" font-size="6pt" text-indent="8mm">
                  <xsl:if test="$html-output">
                     <xsl:text>380inv.xsl $Revision: 1.27 $$Date: 2003/01/23 02:58:39 $ http://www.CraneSoftwrights.com/links/res-ublf.htm</xsl:text>
                  </xsl:if>
               </block>
            </flow>
         </page-sequence>
      </root>
   </xsl:template>


<!--
The following rows of the table are oriented around the line items
-->
   <xsl:template name="do-table-items">
      <table-body>
         <table-row height="( 262mm ) div 32">
            <table-cell number-rows-spanned="4" number-columns-spanned="2" border="solid 1px" border-end-style="none">
               <block-container height="4 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-shippingmarks"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="4" number-columns-spanned="2" border="solid 1px" border-end-style="none" border-start-style="none">
               <block-container height="4 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-containernr"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="4" number-columns-spanned="8" border="solid 1px">
               <block-container height="4 * ( 262mm div 32 ) -1px" width="8 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-packages"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="4" number-columns-spanned="2" border="solid 1px">
               <block-container height="4 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-grossweight"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="4" number-columns-spanned="2" border="solid 1px">
               <block-container height="4 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-cube"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row height="( 262mm ) div 32">
            <table-cell number-rows-spanned="8" number-columns-spanned="2" border="solid 1px">
               <block-container height="8 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-item"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="8" number-columns-spanned="8" border="solid 1px">
               <block-container height="8 * ( 262mm div 32 ) -1px" width="8 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-description"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="8" number-columns-spanned="2" border="solid 1px">
               <block-container height="8 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-quantity"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="8" number-columns-spanned="2" border="solid 1px">
               <block-container height="8 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-unitprice"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="8" number-columns-spanned="2" border="solid 1px">
               <block-container height="8 * ( 262mm div 32 ) -1px" width="2 * ( 183mm div 16 )  -1px" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-amount"/>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
         <table-row>
            <table-cell>
               <block/>
            </table-cell>
         </table-row>
      </table-body>
   </xsl:template>

<!--default font used for body text of the form-->

   <xsl:attribute-set name="body-font">
      <xsl:attribute name="font-family">Times</xsl:attribute>
      <xsl:attribute name="font-size">10pt</xsl:attribute>
      <xsl:attribute name="line-height">1.1</xsl:attribute>
   </xsl:attribute-set>

<!--all field headings-->

   <xsl:attribute-set name="heading-font">
      <xsl:attribute name="font-family">Arial</xsl:attribute>
      <xsl:attribute name="font-size">6pt</xsl:attribute>
      <xsl:attribute name="space-after">1pt</xsl:attribute>
   </xsl:attribute-set>

<!--page dimensions of resulting form-->

   <xsl:attribute-set name="page-dimensions">
      <xsl:attribute name="page-width">210mm</xsl:attribute>
      <xsl:attribute name="page-height">297mm</xsl:attribute>
      <xsl:attribute name="margin-top">5mm</xsl:attribute>
      <xsl:attribute name="margin-left">10mm</xsl:attribute>
   </xsl:attribute-set>

<!--top-level variables-->

   <xsl:variable name="heading-amount">
      <xsl:text>Amount</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-buyer">
      <xsl:text>Buyer</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-buyerbank">
      <xsl:text>Buyer's bank</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-buyerref">
      <xsl:text>Buyer's reference</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-clauses">
      <xsl:text>Invoice clauses</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-consignee">
      <xsl:text>Consignee</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-consignor">
      <xsl:text>Seller</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-containernr">
      <xsl:text>Container Nr.</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-cube">
      <xsl:text>Total cube(m3)</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-deliveryplace">
      <xsl:text>Place of delivery</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-deliveryterms">
      <xsl:text>Terms of delivery</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-deliverytime">
      <xsl:text>Time of delivery</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-description">
      <xsl:text>Description</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-despatchdate">
      <xsl:text>Date of despatch</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-despatchplace">
      <xsl:text>Place of despatch</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-destination">
      <xsl:text>Country of destination</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-dischargeplace">
      <xsl:text>Place of discharge</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-grossweight">
      <xsl:text>Total gross wt(Kg)</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-invdate">
      <xsl:text>Invoice date</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-invnum">
      <xsl:text>Invoice number</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-issue">
      <xsl:text>Place of issue</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-item">
      <xsl:text>Item</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-loadingplace">
      <xsl:text>Place of loading</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-location">
      <xsl:text>Location</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-namesignatory">
      <xsl:text>Name of signatory</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-origin">
      <xsl:text>Country of origin</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-otherref">
      <xsl:text>Other reference</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-packages">
      <xsl:text>Number and kind of packages; description of goods</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-paymentcurrency">
      <xsl:text>Currency of payment</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-paymentterms">
      <xsl:text>Terms of payment</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-quantity">
      <xsl:text>Quantity U/M</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-sellerref">
      <xsl:text>Seller's reference</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-shippingmarks">
      <xsl:text>Shipping marks</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-signature">
      <xsl:text>Signature</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-totalamount">
      <xsl:text>Total amount</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-transportcharges">
      <xsl:text>Transport Charges</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-transportmeans">
      <xsl:text>Means of transport</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-transportmode">
      <xsl:text>Mode of transport</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-unitprice">
      <xsl:text>Unit price</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-vesselflight">
      <xsl:text>Vessel/flight No.</xsl:text>
   </xsl:variable>
</xsl:stylesheet>