# Driver for UBL stylesheet execution with data files
# $Id: run.py,v 1.13 2003/01/21 22:02:28 G. Ken Holman Exp $

"""
Copyright (C) - Crane Softwrights Ltd. 
              - http://www.CraneSoftwrights.com/links/res-ubl.htm

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, 
  this list of conditions and the following disclaimer. 
- Redistributions in binary form must reproduce the above copyright notice, 
  this list of conditions and the following disclaimer in the documentation 
  and/or other materials provided with the distribution. 
- The name of the author may not be used to endorse or promote products 
  derived from this software without specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN 
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
"""

import os
import common
from runos import *
from common import *
from xml.dom.minidom import parse, Attr

#=============================================================================
#
# A single document type

def doDocType( echo, name, docTypeElem ):
    print ftime()+"Acting on: %s ..." % name
    savecwd = os.getcwd()
    try: os.chdir( name+"/test" )
    except OSError, (errno, strerror):
        exit( errno, "O/S error(%s): %s: %s" % (errno, strerror, name ) )
    
    ( inputs, notdiags, prefix ) = common.getInputs( docTypeElem, name )

    for input in inputs:
        print ftime()+"Creating test result %s.fo ..." % input
        runxslt( echo, input+".xml", "../"+name+".xsl", input+".fo" )
        print ftime()+"Creating test print %s.pdf ..." % input
        runxslfo( echo, input+".fo", "../"+input+".pdf" )
        print ftime()+"Creating test result US %s-us.fo ..." % input
        runxslt( echo, input+".xml", "../"+name+"-us.xsl", input+"-us.fo" )
        print ftime()+"Creating test print US %s-us.pdf ..." % input
        runxslfo( echo, input+"-us.fo", "../"+input+"-us.pdf" )
        print ftime()+"Creating test result intermediate %s.html.fo ..." \
                      % input
        runxslt( echo, input+".xml", "../"+name+"-htmlfo.xsl",
                       input+".html.fo" )
        
        if input in notdiags: # then a simple input file
            print ftime()+"Creating test result %s.html ..." % input
            runxslt( echo, input+".html.fo", "../../util/fo2html.xsl",
                           "../"+input+".html" )
            print ftime()+"Creating keyed test result %s.key.fo ..." % input
            runxslt( echo, input+".key.xml", "../"+name+".xsl",
                     input+".key.fo" )
            print ftime()+"Creating keyed print %s.key.pdf ..." % input
            runxslfo( echo, input+".key.fo", input+".key.pdf" )
            print ftime()+"Creating keyed test result intermediate "+\
                          "%s.html.fo ..." % input
            runxslt( echo, input+".key.xml", "../"+name+"-htmlfo.xsl",
                           input+".key.html.fo" )
            print ftime()+"Creating keyed test result intermediate "+\
                          "%s.key.html ..." % input
            runxslt( echo, input+".key.html.fo", "../../util/fo2htmlk.xsl",
                           input+".key.html",
                           { 'keyhtml': input+".key.rpt.html",
                             'keyxml': input+".xml",
                             'nsprefix': prefix,
                             'offset':'0'})
        else: # a special already-keyed input file
            print ftime()+"Creating keyed test result intermediate "+\
                          "%s.key.html ..." % input
            runxslt( echo, input+".html.fo", "../../util/fo2htmlk.xsl",
                           input+".key.html",
                           { 'keyhtml': input+".key.rpt.html",
                             'keyxml': input+".xml",
                             'nsprefix': prefix,
                             'offset':'0'})

    os.chdir( savecwd )

# end of file
